6.0.0-git
2021-01-18

[#7161] Auth_SignUp driver
Summary Auth_SignUp driver
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester duck (at) obala (dot) net
Created 2008-08-06 (4548 days ago)
Due
Updated 2008-08-13 (4541 days ago)
Assigned 2008-08-11 (4543 days ago)
Resolved 2008-08-13 (4541 days ago)
Milestone
Patch Yes

History
2008-08-13 20:09:46 Chuck Hagenbuch Comment #11
Assigned to Chuck Hagenbuch
Taken from Duck
State ⇒ Resolved
Reply to this comment
There are a lot of places to add the SQL, and the file header is not 
one of them. In the future it'll save us a lot of time if you include 
scripts.
2008-08-13 06:26:06 Duck Comment #10 Reply to this comment
Great, we just need the sql scripts and to decide on merging now.
An mysql structure is already in header of Auth_Signup_sql.

Something like this should be portable:



CREATE TABLE horde_signup (

     user_name VARCHAR(255) NOT NULL,

     signup_date INTEGER NOT NULL,

     signup_host VARCHAR(255) NOT NULL,

     signup_email VARCHAR(255) NOT NULL UNIQUE,

     signup_data TEXT NOT NULL,

--

     PRIMARY KEY (user_name)

);
2008-08-13 05:40:38 Chuck Hagenbuch Comment #9 Reply to this comment
Great, we just need the sql scripts and to decide on merging now.
2008-08-12 09:55:52 Duck Comment #7
New Attachment: Auth.diff Download
Reply to this comment
Honor config parameters.
2008-08-12 09:55:22 Duck Comment #6
New Attachment: conf.diff Download
Reply to this comment
Added config parameres to conf.xml.
2008-08-11 22:01:17 Chuck Hagenbuch Comment #5
Assigned to Duck
Taken from Chuck Hagenbuch
State ⇒ Feedback
Reply to this comment
Looks pretty good; I've committed it to HEAD for now. We still need a 
configuration section for conf.xml and SQL files for scripts/sql. Can 
you add those?
2008-08-11 22:01:09 CVS Commit Comment #4 Reply to this comment
Changes have been made in CVS for this ticket:

http://cvs.horde.org/diff.php/horde/signup.php?r1=1.30&r2=1.31&ty=u
2008-08-11 21:50:03 Chuck Hagenbuch Assigned to Chuck Hagenbuch
State ⇒ Assigned
Patch ⇒ Yes
 
2008-08-07 16:14:31 Duck Comment #2
New Attachment: sql.php Download
Reply to this comment
An MDB2 native SQL implementation.
2008-08-06 06:57:16 Duck Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Auth_SignUp driver
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
New Attachment: signup.tgz Download
Reply to this comment
Splits Auth_SignUp on driver basis so is possible to add a custom 
driver ... or add a native sql driver to move away from DT.


Saved Queries